[Python-Dev] Package install failures in 2.6.3

M.-A. Lemburg mal at egenix.com
Mon Oct 5 19:06:22 CEST 2009


Tarek Ziadé wrote:
> On Mon, Oct 5, 2009 at 6:44 PM, Antoine Pitrou <solipsis at pitrou.net> wrote:
>>
>> The only question is, given that 2.6.x is supposed to be a bug-fix branch, do we
>> want to fix that incompatibility with a widely deployed existing piece of
>> software? Whether or not the incompatibility is legitimate (i.e., whether
>> setuptools is badly written and relies on implementation details) is beyond the
>> point, IMO.
> 
> Right. As discussed with Barry, I will work on an internal special
> case in Distutils in the 2.6 maint.
> branch so it fixes the incompatibility with the Setuptools 0.6c9 release.

You could add a selective work-around that just triggers if setuptools
has been loaded on the 2.6 branch.

if sys.modules.has_key('setuptools'):
   # monkey-patch fix-up setuptools to work with the new code
   ...

or the other way around:

if sys.modules.has_key('setuptools'):
   # undo r1234 to make setuptools 0.6c9 happy again
   ...

-- 
Marc-Andre Lemburg
eGenix.com

Professional Python Services directly from the Source  (#1, Oct 05 2009)
>>> Python/Zope Consulting and Support ...        http://www.egenix.com/
>>> mxODBC.Zope.Database.Adapter ...             http://zope.egenix.com/
>>> mxODBC, mxDateTime, mxTextTools ...        http://python.egenix.com/
________________________________________________________________________

::: Try our new mxODBC.Connect Python Database Interface for free ! ::::


   eGenix.com Software, Skills and Services GmbH  Pastor-Loeh-Str.48
    D-40764 Langenfeld, Germany. CEO Dipl.-Math. Marc-Andre Lemburg
           Registered at Amtsgericht Duesseldorf: HRB 46611
               http://www.egenix.com/company/contact/


More information about the Python-Dev mailing list